Subject: Re: initdb failure - postgres hangs with 100% CPU
From: Jason Tishler <[email-masked]>
To: Steve Jorgensen <[email-masked]>
Cc: "Cygwin List (E-mail)" <[email-masked]>
Date: Thu, 12 Jul 2001 15:46:06 -0400

Steve,

On Wed, Jul 11, 2001 at 01:56:00PM -0700, Steve Jorgensen wrote:
> -----Original Message-----
> From:	Jason Tishler [SMTP:[email-masked]]
> [Steve Jorgensen]  Doh!  Right, .a is not a shared library on any platform. 
>  I take it that Cygwin actually uses .dll as its normal shared library 
> type, then, and does not have its own unique shared library type?

Yes, but Cygwin is really just a Win32 DLL so it can't have its own
unique shared library type.

> I presume this library is called pq.dll on Cygwin to avoid name conflicts 
> with libpq.dll if both exist on a single system?

That would be my guess too.  This is an example of why Chuck Wilson
proposed prefixing Cygwin DLLs with "cyg" to prevent this kind of conflict.

> [Steve Jorgensen]  I'm figuring (not that I know what I'm talking about) 
> that if I want to use autoconf/automake, I should try to use gcc.  I don't 
> know much about these tools yet, but I imagine teaching them to handle 
> Windows paths would be a big hassle and not worth the trouble since gcc 
> -mno-cygwin is an available option.

For reason like the above, I prefer to use Cygwin gcc -mno-cygwin over
Mingw.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/